## Class impl

boost::log::attributes::mutable_constant::impl — Factory implementation.

## Synopsis

    // In header: <boost/log/attributes/mutable_constant.hpp>

    // Factory implementation.

    class impl : public attribute::impl {
    public:

      // public member functions
      explicit impl(value_type const &);
      explicit impl(value_type &&);
      virtual attribute_value get_value();
      void set(value_type const &);
      void set(value_type &&);
      value_type get() const;
    };

## Description

### `impl` public member functions

1.     explicit impl(value_type const & value);

   Initializing constructor

2.     explicit impl(value_type && value);

   Initializing constructor

3.     virtual attribute_value get_value();

   Returns: | The actual attribute value. It shall not return empty values (exceptions shall be used to indicate errors).

4.     void set(value_type const & value);

5.     void set(value_type && value);

6.     value_type get() const;